# macop.operators.base — macop v1.0.5 documentation

# macop.operators.base

Abstract Operator classes

Classes

`Crossover`() | Abstract crossover extend from Operator
`KindOperator` | Enum in order to recognize kind of operators
`Mutation`() | Abstract Mutation extend from Operator
`Operator`() | Abstract Operator class which enables to update solution applying operator (computation)

class `macop.operators.base.``Crossover`

  Abstract crossover extend from Operator

  `kind`

    {KindOperator} – specify the kind of operator

  `apply`(solution)

    Apply the current operator transformation

    Parameters

      solution – {Solution} – Solution instance

class `macop.operators.base.``KindOperator`

  Enum in order to recognize kind of operators

class `macop.operators.base.``Mutation`

  Abstract Mutation extend from Operator

  `kind`

    {KindOperator} – specify the kind of operator

  `apply`(solution)

    Apply the current operator transformation

    Parameters

      solution – {Solution} – Solution instance

class `macop.operators.base.``Operator`

  Abstract Operator class which enables to update solution applying operator (computation)

  abstract `apply`(solution)

    Apply the current operator transformation

    Parameters

      solution – {Solution} – Solution instance

  `setAlgo`(algo)
    Keep into operator reference of the whole algorithm

      The reason is to better manage operator instance

    Parameters

      algo – {Algorithm} – the algorithm reference runned